Bug 113133 - Cannot revert to selection cursor in Impress
Summary: Cannot revert to selection cursor in Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mouse-Cursor
  Show dependency treegraph
 
Reported: 2017-10-15 08:16 UTC by mattreecebentley
Modified: 2021-01-12 03:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mattreecebentley 2017-10-15 08:16:43 UTC
Description:
Cursor stays in 'text box' mode.

Steps to Reproduce:
1. Open an impress document.
2. Click on a text field.
3. Change to another slide.

Actual Results:  
Cursor stays in 'text box' mode. Clicking on either 'text box' or 'selection cursor' buttons does nothing.
To revert to selection cursor you have to click on a non-text box region of the current slide you're looking at.

Expected Results:
Cursor should revert to selection upon changing slides.
Cursor should revert to selection when clicking on (already depressed) 'text box' button.
Cursor should revert to selection when clicking on (already depressed) 'selection cursor' button.
'selection cursor' button SHOULD NOT BE DEPRESSED when 'text box' button is depressed.


Reproducible: Always

User Profile Reset: No

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: yes
Builds ID: LibreOffice 5.4.1.2


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Mohamed 2017-10-17 08:36:15 UTC
The issue is reproduced even with the latest fresh version. And it occurs even when you move to an other slide and you point the cursor upon a text-box/ text-field. You should a random click once first to revert to selection mode. Or when pointing the cursor upon a text, the cursor change to text edit mode and works fine.

Reproduced with the following environment:
    • Operating system : Windows 8.1 Pro 64-bits.
    • LibreOffice : Version: 5.4.2.2
		Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
		CPU threads: 4; OS: Windows 6.2; UI render: default; 
		Locale: en-US (en_US); Calc: group

     And also on :
    • Operating system : Ubuntu 16.04.3 64-bits.
    • LibreOffice :Version: 5.4.2.2
		Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
		CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
		Locale: ja-JP (ja_JP.UTF-8); Calc: group
Comment 2 Buovjaga 2017-11-06 16:40:27 UTC
NEW per comment 1
Comment 3 Telesto 2018-02-16 13:50:10 UTC
Repro with
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 4 QA Administrators 2021-01-12 03:50:26 UTC
Dear mattreecebentley,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug